# Uses of Class
org.eclipse.jdt.ui.text.java.CompletionProposalLabelProvider

Packages that use CompletionProposalLabelProvider
Package
Description
org.eclipse.jdt.ui.text.java
Application programming interfaces for interaction with the Eclipse Java User Interface.

## Uses of CompletionProposalLabelProvider in org.eclipse.jdt.ui.text.java

Methods in org.eclipse.jdt.ui.text.java that return CompletionProposalLabelProvider
Modifier and Type
Method
Description
`protected final CompletionProposalLabelProvider`
CompletionProposalCollector.`getLabelProvider()`
Returns the proposal label provider used by the receiver.
`CompletionProposalLabelProvider`
JavaContentAssistInvocationContext.`getLabelProvider()`
Returns a label provider that can be used to compute proposal labels.